fse1.vo

## Class Erogatore

- java.lang.Object
- - fse1.vo.Erogatore

-     public class Erogatore
      extends java.lang.Object

  Erogatore è l'ente abilitato alla erogazione di prestazioni specialistiche.
  Author:
    BottalicoE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Erogatore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmbulatorioSpecialistico` | `getAmbulatorioSpecialistico()`
    `java.lang.String` | `getCodiceStrutturaSanitaria()`
    `PresidioSpecialisticoEsterno` | `getPresidioSpecialisticoEsterno()`
    `RepartoIstitutoDiRicovero` | `getRepartoIstitutoDiRicovero()`
    `ServizioDiIstitutoDiRicovero` | `getServizioDiIstitutoDiRicovero()`
    `void` | `setAmbulatorioSpecialistico(AmbulatorioSpecialistico ambulatorioSpecialistico)`
    `void` | `setCodiceStrutturaSanitaria(java.lang.String codiceStrutturaSanitaria)`
    `void` | `setPresidioSpecialisticoEsterno(PresidioSpecialisticoEsterno presidioSpecialisticoEsterno)`
    `void` | `setRepartoIstitutoDiRicovero(RepartoIstitutoDiRicovero repartoIstitutoDiRicovero)`
    `void` | `setServizioDiIstitutoDiRicovero(ServizioDiIstitutoDiRicovero servizioDiIstitutoDiRicovero)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Erogatore

          public Erogatore()

  - ### Method Detail

    - #### getAmbulatorioSpecialistico

          public AmbulatorioSpecialistico getAmbulatorioSpecialistico()

    - #### setAmbulatorioSpecialistico

          public void setAmbulatorioSpecialistico(AmbulatorioSpecialistico ambulatorioSpecialistico)

    - #### getCodiceStrutturaSanitaria

          public java.lang.String getCodiceStrutturaSanitaria()

    - #### setCodiceStrutturaSanitaria

          public void setCodiceStrutturaSanitaria(java.lang.String codiceStrutturaSanitaria)

    - #### getPresidioSpecialisticoEsterno

          public PresidioSpecialisticoEsterno getPresidioSpecialisticoEsterno()

    - #### setPresidioSpecialisticoEsterno

          public void setPresidioSpecialisticoEsterno(PresidioSpecialisticoEsterno presidioSpecialisticoEsterno)

    - #### getRepartoIstitutoDiRicovero

          public RepartoIstitutoDiRicovero getRepartoIstitutoDiRicovero()

    - #### setRepartoIstitutoDiRicovero

          public void setRepartoIstitutoDiRicovero(RepartoIstitutoDiRicovero repartoIstitutoDiRicovero)

    - #### getServizioDiIstitutoDiRicovero

          public ServizioDiIstitutoDiRicovero getServizioDiIstitutoDiRicovero()

    - #### setServizioDiIstitutoDiRicovero

          public void setServizioDiIstitutoDiRicovero(ServizioDiIstitutoDiRicovero servizioDiIstitutoDiRicovero)